if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vStampaPreconto]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vStampaPreconto]
GO

/****** Object:  View [dbo].[vStampaPreconto]    Script Date: 19/12/2019 18:15:23 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vStampaPreconto]
AS
SELECT        dbo.vEdicola.IDSoggetto AS EDIDSoggetto, dbo.vEdicola.RagioneSociale AS EDRagioneSociale, dbo.vEdicola.Citta AS EDCitta, dbo.vEdicola.Prov AS EDProv, dbo.vEdicola.Cap AS EDCap, 
                         dbo.vEdicola.Telefono AS EDTelefono, dbo.vEdicola.Codicefiscale AS EDCodicefiscale, dbo.vEdicola.PartitaIVA AS EDPartitaIVA, dbo.vEdicola.Indirizzo AS EDIndirizzo, dbo.Uscite.CodiceInforete AS CodFornitore, 
                         dbo.Prodotti.Testata AS Descrizione, dbo.Prodotti.UmVendita, dbo.Prodotti.UmAcquisto, dbo.Prodotti.CoeffConv, dbo.BarTavoliOrdine.Term, dbo.BarTavoliOrdine.IDTavolo, dbo.BarTavoliOrdine.NumeroRiga, 
                         dbo.BarTavoliOrdine.IDProdotto, dbo.BarTavoliOrdine.Qta, dbo.BarTavoliOrdine.PrezzoUnitario, dbo.BarTavoliOrdine.PrezzoRiga, dbo.BarTavoliOrdine.OraOrdinazione, dbo.BarTavoliOrdine.IDOperatore, 
                         dbo.BarTavoliOrdine.BancoTavolo
FROM            dbo.vEdicola CROSS JOIN
                         dbo.Prodotti INNER JOIN
                         dbo.BarTavoliOrdine ON dbo.Prodotti.IDProd = dbo.BarTavoliOrdine.IDProdotto RIGHT OUTER JOIN
                         dbo.Uscite ON dbo.Prodotti.IDProd = dbo.Uscite.IDProd
WHERE        (dbo.vEdicola.IDSoggetto = 2)

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1[50] 4[25] 3) )"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1[50] 2[25] 3) )"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1[56] 3) )"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 1
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "vEdicola"
            Begin Extent = 
               Top = 34
               Left = 63
               Bottom = 164
               Right = 265
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 6
               Left = 537
               Bottom = 235
               Right = 754
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "BarTavoliOrdine"
            Begin Extent = 
               Top = 6
               Left = 275
               Bottom = 227
               Right = 466
            End
            DisplayFlags = 280
            TopColumn = 1
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 233
               Left = 618
               Bottom = 363
               Right = 879
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
      PaneHidden = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 24
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaPreconto'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaPreconto'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vStampaPreconto'
GO
